# 罗凯健—Android高级开发工程师/Android开发经理 
---

## 个人资料

* 姓名：罗凯健
* 性别：男
* 电话：15627775359
* 邮箱：446768954@qq.com

## 个人技能

* 五年多开发经验，一年半团队管理经验  
* 编程语言：JAVA、 Kotlin、 Python  
* 主导过多款大型App开发，有10人以上的 Android 项目架构经验，对项目长期迭代有良好的控制能力  
* 掌握 Android 高性能编程方法，有成熟的优化思路和经验  
* 对 Android Framework 和虚拟机有整体的认识，了解组件的基本原理 
* 掌握常用第三方库及支持库的使用及原理，包括但不限于：
	* OKHttp、 Retrofit、 RxJava、 Glide、 AAC、 Gson
	* ......  

## 文档博客  

部分组内培训的文档和技术文档：  

* [databinding技术文档：https://www.kancloud.cn/dankel/databinding/531420](https://www.kancloud.cn/dankel/databinding/531420)  
* [MVP+databinding框架、规则文档：https://www.kancloud.cn/dankel/databinding/532314](https://www.kancloud.cn/dankel/databinding/532314)
* [模块通信路由组件文档：https://www.kancloud.cn/dankel/hm_android/592677](https://www.kancloud.cn/dankel/hm_android/592677)
* [Android代码模板开发：https://www.kancloud.cn/dankel/hm_android/696024](https://www.kancloud.cn/dankel/hm_android/696024)
* ......

## 工作经历
###
* 公司名称：**广州远智教育科技有限公司**  
* 公司规模：500 - 1000 人
* 工作岗位：**Android开发工程师（兼App开发主管）**
* 工作时间：2018.12 - 2019.07  
* 职责描述：  
	* 负责跟产品对接需求，团队进度控制等。
	* 负责 Android 端架构和业务开发。  
	* 负责制定端与端之间的交互协议。
	* 负责技术文档补充和编写，以及团队各方面的规范。  


###
* 公司名称：**广州大象健康科技有限公司**  
* 公司规模：500 - 1000 人
* 工作岗位：**Android开发技术经理**
* 工作时间：2017.10 - 2018.08  
* 职责描述：  
	* 负责8人的Android技术团队的任务分派、跟进、提升等管理工作。
	* 负责代码管理、codereview、技术分享等技术管理工作。
	* 负责应用架构开发，核心模块维护。  
	* 负责对内的技术培训和技术文档编写。  
	* 负责新技术的预研和落地。    

###
* 公司名称：**广州大象健康科技有限公司**  
* 公司规模：500 - 1000 人
* 工作岗位：**Android高级开发工程师**
* 工作时间：2015.10 - 2017.10  
* 职责描述：  
	* 从零开始构建项目，早期负责大部分开发工作，后来负责核心模块，并从项目中抽取组件。  
	* 负责应用的架构演进、UI及功能组件库的开发和维护。  
	* 解决项目过程中的疑难问题，制定项目的技术方案。    
	* 负责代码管理、codereview、技术分享等技术管理工作。  
  
###
* 公司名称：**广州时众网络有限公司**（解散）  
* 公司规模：0 - 20 人
* 工作岗位：**Android开发工程师**
* 工作时间：2015.04 - 2015.09  
* 职责描述：  
	* Android端架构负责，框架/功能库编写和选择   
	* 部分服务端接口编写，应用层协议商讨和指定  
	* 自己负责的功能模块编写和调试  

###
* 公司名称：**深圳驼铃网络有限公司**  
* 公司规模：0 - 20 人
* 工作岗位：**Android开发工程师**
* 工作时间：2014.03-2014-12

## 项目经验  

##### 远智教育

* 项目描述：面向成人学历教育而提供的集成考试报名、学习辅导、课程直播、问答社区等为一体的综合性教学教务工具。
* 项目时间：2019.01 - *至今*
* 项目角色：App 负责人
* 工作描述：  
	1. 从零搭建项目，快速实现需求并上架；
	2. 制定 hybird 交互方式；
	3. 编写路由组件实现 hybird 页面交互协议，并通过编写注解处理器和 gradle 插件简化路由组件的接入和使用；
	4. 使用 Jenkins 持续集成环境实现自动化打包；
	5. 推动项目进度，规范各方输出，保证项目质量。

##### 健康猫  

* 项目描述：以“运动健康物联网”科技为核心的手机应用，根据每个人不同的个体情况，在线生成个性化运动健康管理方案，同时提供线上运动电商、约教练、预约运动场馆、共享运动器材等立体解决方案，实现国民“随时随地、 科学运动”。
* 项目时间：2015.11 - 2018.08
* 参与人数：14人
* 项目角色：Android技术负责人
* 工作描述：  
	1. 项目初期负责大部分业务模块的**从零快速实现**和初期组件封装；
	2. 从复用代码和控件中提取基础组件和维护，并上传到内网私有maven，减少重复开发，提供效率，为日后多应用**重用组件**作准备；
	3. 在迭代过程中开发**MVP框架**并且在组内**推广培训**，增强项目规范，降低项目耦合度；
	4. 在日益增大的项目背景下，独立完成业务梳理和分层，实现了项目的**模块化**，加快编译速度，进一步降低项目复杂度；  
	5. 把项目从SVN**迁移到git**，并采用了符合项目节奏的工作流程；
	6. 在项目大改版期间，重写了大部分控件并使其更符合Android新特性，例如开发新的下拉刷新控件，并实现NestedScroll机制，使其与CoornatorLayout更好的配合；
	7. 把**databinding**带入项目框架中，为其开发相应的基础组件并**培训推广**，提高开发效率；
	8. 为团队开发IDE**工程模板**插件，规范业务流程和代码规范，减少重复代码编写，提高开发效率。  


##### 健康猫私教版  

* 项目描述：是在原有健康猫APP上的私教管理功能的基础上拓展，专门为体育人才打造的创业平台，同时对于学员增加了专业的健康分析功能，并且提供了营业额统计、收入统计、订单管理、设备管理、日程管理、小店管理、团队管理等各种私教管理功能。
* 项目时间：2017.11-至今
* 参与人数：10人
* 项目角色：Android技术负责人
* 职责描述：
	1. **带领团队**从零开始项目开发；
	2. 为各业务线提供**基础组件**支持并负责部分基础业务开发；
	3. **协调**多个Anroid业务团队的开发对接；
	4. 负责项目需求分析、任务安排，进度跟进，质量控制及向上的产出反馈等**日常管理**；
* 技术要点：
	1. 与健康猫项目在同一Project下，共用部分业务模块，通过`gradle.properties`中的环境变量配置各自的项目环境以及host模块。  
	2. 其他与健康猫一致  


##### 健康管理家庭版 & 健康管理直销员版（未上线）  

* 项目描述：主要是为直销行业做的一个APP，方便把客户从线下转为线上，帮助直销商销售产品；分为S端、B端、C端；S端是用于管理用户权限以及商品添加等；B端是给直销商使用，可以对他的客户进行健康分的管理，有针对性的营销自己的商品；C端是给普通用户使用，对自己的健康值进行管理，APP为用户制作健康方案。
* 项目时间：2018.03-至今
* 参与人数：8人
* 职责描述：Android负责人，同上，带领团队从零开始开发。
* 技术要点：  
	1. 与健康猫&健康猫私教版类似的架构，采用统一project 不同环境配置来复用部分业务模块
	2. 其余基本一致

##### 其他中小型项目：  

* 江西青少（江西政府项目）
* 大象优品 
* 健康猫TV（未上线）

###### 更早的项目：

* 时众：生活类提示软件  
* 吾邻：IM类软件
* 车域通：o2o洗车软件  


## 教育经历

* 学校：**广东科学技术职业学院（大专）**
* 专业：计算机信息管理（2010.09 - 2013.06）

